NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.FitCurveBuilder Class Reference

Represents a NXOpen.Features.FitCurve builder More...

Inheritance diagram for NXOpen.Features.FitCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.SketchFitCurveBuilder

Public Types

enum  FittingParametersOptions { DegreeAndSegments, DegreeAndTolerance, TemplateCurve }
 Fitting parameters options More...
 
enum  ProjectionDirectionOptions {
  Xc, Yc, Zc, Normal,
  View, Vector
}
 Auxiliary curve projection direction options More...
 
enum  TargetSourceTypes {
  Infer, SpecifiedPoints, ChainedPoints, Curve,
  Face, FacetBody
}
 Fitting target types More...
 
enum  Types { FitSpline, FitLine, FitCircle, FitEllipse }
 Fitting types More...
 

Public Member Functions

unsafe void ChainAllPoints ()
 Chains all the points in work part based on one selected point and evaluates the curve. More...
 
unsafe void DeleteTargetPoints (NXOpen.Point[] points)
 Deletes target points More...
 
unsafe void Evaluate ()
 Evaluates the curve More...
 
unsafe NXOpen.Point GetFinalTargetPoint (int index)
 Returns the target point that are finally used for fitting More...
 
unsafe int GetFinalTargetPointsSize ()
 Returns the number of target points that are finally used for fitting More...
 
unsafe void MakeConstraint (NXOpen.Point point)
 In case of point targets, makes a target point a positional constraint. More...
 
unsafe void RemoveConstraint (NXOpen.Point point)
 Makes existing positional constraint a free target point More...
 
unsafe void UpdateTargetSelectionOnPointEditing ()
 Updates target selection by replacing original point by edited point. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CanKeepTemplateSelected [get, set]
 Returns or sets the flag indicating if template curve should be kept selected More...
 
unsafe bool CanRejectPointsAutomatically [get, set]
 Returns or sets the flag indicating if points beyond a threshold value should be ignored during fitting More...
 
unsafe bool CanUseAllPointsInPart [get, set]
 Returns or sets the flag indicating if all points in the part can be used for chaining More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the constraint manager More...
 
unsafe int Degree [get, set]
 Returns or sets the degree More...
 
unsafe
NXOpen.GeometricUtilities.CurveExtensionBuilder 
Extender [get]
 Returns the extension option More...
 
unsafe
NXOpen.Features.FitCurveBuilder.FittingParametersOptions 
FittingParameters [get, set]
 Returns or sets the fitting parameters More...
 
unsafe bool HasRadius [get, set]
 Returns or sets the has radius More...
 
unsafe bool HasReversedDirection [get, set]
 Returns or sets the flag indicating if fitted curve direction should be reversed More...
 
unsafe bool HasUniformSegments [get, set]
 Returns or sets the flag indicating if uniform segments should be created More...
 
unsafe bool IsAssociative [get, set]
 Returns or sets the flag indicating if a feature should be created More...
 
unsafe bool IsClosedBSpline [get, set]
 Returns or sets the flag indicating if a closed b-spline is to be fitted More...
 
unsafe bool IsClosedCurve [get, set]
 Returns or sets the flag indicating if a full circle or ellipse is to be fitted More...
 
unsafe NXOpen.Direction ProjectionDirection [get, set]
 Returns or sets the projection direction More...
 
unsafe
NXOpen.Features.FitCurveBuilder.ProjectionDirectionOptions 
ProjectionDirectionOption [get, set]
 Returns or sets the projection direction option More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the circle radius More...
 
unsafe NXOpen.Expression RejectionThreshold [get]
 Returns the rejection threshold More...
 
unsafe int Segments [get, set]
 Returns or sets the segments More...
 
unsafe
NXOpen.SelectTaggedObjectList 
Target [get]
 Returns the target objects. More...
 
unsafe
NXOpen.Features.FitCurveBuilder.TargetSourceTypes 
TargetSourceType [get, set]
 Returns or sets the target type More...
 
unsafe NXOpen.SelectSpline TemplateCurve [get]
 Returns the template curve More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance More...
 
unsafe
NXOpen.Features.FitCurveBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.FitCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateFitCurveBuilder

Default values.

Property Value

Extender.EndExtensionOption

None

Extender.EndValue.Value

0 (millimeters part), 0 (inches part)

Extender.StartExtensionOption

None

Extender.StartValue.Value

0 (millimeters part), 0 (inches part)

IsClosedCurve

true

ProjectionDirectionOption

Normal

Radius.Value

50.0 (millimeters part), 2.0 (inches part)

RejectionThreshold.Value

10.0 (millimeters part), 0.5 (inches part)

Created in NX8.5.0

Member Enumeration Documentation

Fitting parameters options

Enumerator
DegreeAndSegments 

Fit to degree and segments

DegreeAndTolerance 

Fit to degree and tolerance

TemplateCurve 

Fit to template spline

Auxiliary curve projection direction options

Enumerator
Xc 

WCS X axis

Yc 

WCS Y axis

Zc 

WCS Z axis

Normal 

Face normal

View 

View

Vector 

Vector

Fitting target types

Enumerator
Infer 

Infer target from selection

SpecifiedPoints 

Specified points

ChainedPoints 

Chain using one or two points

Curve 

Curve

Face 

Face

FacetBody 

Facet body

Fitting types

Enumerator
FitSpline 

Fits a spline

FitLine 

Fits a line

FitCircle 

Fits an arc or a circle

FitEllipse 

Fits an ellipse

Member Function Documentation

unsafe void NXOpen.Features.FitCurveBuilder.ChainAllPoints ( )
inline

Chains all the points in work part based on one selected point and evaluates the curve.

Operation is valid for NXOpen.Features.FitCurveBuilder.TargetSourceTypes.Infer only.

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe void NXOpen.Features.FitCurveBuilder.DeleteTargetPoints ( NXOpen.Point[]  points)
inline

Deletes target points

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointsOne of the original target points or one of the constraint manager points to remove a constraint of
unsafe void NXOpen.Features.FitCurveBuilder.Evaluate ( )
inline

Evaluates the curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.FitCurveBuilder.GetFinalTargetPoint ( int  index)
inline

Returns the target point that are finally used for fitting

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
index
Returns
unsafe int NXOpen.Features.FitCurveBuilder.GetFinalTargetPointsSize ( )
inline

Returns the number of target points that are finally used for fitting

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe void NXOpen.Features.FitCurveBuilder.MakeConstraint ( NXOpen.Point  point)
inline

In case of point targets, makes a target point a positional constraint.

In case of other targets, makes one of the specified points a positional constraint

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointOne of the original target points to make a constraint of
unsafe void NXOpen.Features.FitCurveBuilder.RemoveConstraint ( NXOpen.Point  point)
inline

Makes existing positional constraint a free target point

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointOne of the original target points or one of the constraint manager points to remove a constraint of
unsafe void NXOpen.Features.FitCurveBuilder.UpdateTargetSelectionOnPointEditing ( )
inline

Updates target selection by replacing original point by edited point.

When a target point is edited by dragging, the originally selected target point gets replaced by another point representing edited location. Thus it is no longer necessary for original point to remain selected.

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe bool NXOpen.Features.FitCurveBuilder.CanKeepTemplateSelected
getset

Returns or sets the flag indicating if template curve should be kept selected

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.CanRejectPointsAutomatically
getset

Returns or sets the flag indicating if points beyond a threshold value should be ignored during fitting

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.CanUseAllPointsInPart
getset

Returns or sets the flag indicating if all points in the part can be used for chaining

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.Features.FitCurveBuilder.ConstraintManager
get

Returns the constraint manager

Created in NX8.5.0

License requirements: None.

unsafe int NXOpen.Features.FitCurveBuilder.Degree
getset

Returns or sets the degree

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CurveExtensionBuilder NXOpen.Features.FitCurveBuilder.Extender
get

Returns the extension option

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.FitCurveBuilder.FittingParametersOptions NXOpen.Features.FitCurveBuilder.FittingParameters
getset

Returns or sets the fitting parameters

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.HasRadius
getset

Returns or sets the has radius

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.HasReversedDirection
getset

Returns or sets the flag indicating if fitted curve direction should be reversed

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.HasUniformSegments
getset

Returns or sets the flag indicating if uniform segments should be created

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.IsAssociative
getset

Returns or sets the flag indicating if a feature should be created

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.IsClosedBSpline
getset

Returns or sets the flag indicating if a closed b-spline is to be fitted

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FitCurveBuilder.IsClosedCurve
getset

Returns or sets the flag indicating if a full circle or ellipse is to be fitted

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.FitCurveBuilder.ProjectionDirection
getset

Returns or sets the projection direction

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FitCurveBuilder.ProjectionDirectionOptions NXOpen.Features.FitCurveBuilder.ProjectionDirectionOption
getset

Returns or sets the projection direction option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.FitCurveBuilder.Radius
get

Returns the circle radius

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.FitCurveBuilder.RejectionThreshold
get

Returns the rejection threshold

Created in NX8.5.0

License requirements: None.

unsafe int NXOpen.Features.FitCurveBuilder.Segments
getset

Returns or sets the segments

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectTaggedObjectList NXOpen.Features.FitCurveBuilder.Target
get

Returns the target objects.

Inputs to this command can be convergent objects.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.FitCurveBuilder.TargetSourceTypes NXOpen.Features.FitCurveBuilder.TargetSourceType
getset

Returns or sets the target type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectSpline NXOpen.Features.FitCurveBuilder.TemplateCurve
get

Returns the template curve

Created in NX8.5.0

License requirements: None.

unsafe double NXOpen.Features.FitCurveBuilder.Tolerance
getset

Returns or sets the tolerance

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FitCurveBuilder.Types NXOpen.Features.FitCurveBuilder.Type
getset

Returns or sets the type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.